Package org.lwjgl.opengles

# Class EXTMultisampledRenderToTexture

java.lang.Object
org.lwjgl.opengles.EXTMultisampledRenderToTexture

public final class EXTMultisampledRenderToTexture extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_SAMPLES_EXT`
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:
`static final int`
`GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT`
Returned by CheckFramebufferStatus:
`static final int`
`GL_MAX_SAMPLES_EXT`
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:
`static final int`
`GL_RENDERBUFFER_SAMPLES_EXT`
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

## Method Summary

Modifier and Type
Method
Description
`static void`
`glFramebufferTexture2DMultisampleEXT(int target, int attachment, int textarget, int texture, int level, int samples)`
`static void`
`glRenderbufferStorageMultisampleEXT(int target, int samples, int internalformat, int width, int height)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_RENDERBUFFER_SAMPLES_EXT

public static final int GL_RENDERBUFFER_SAMPLES_EXT
Accepted by the <pname> parameter of GetRenderbufferParameteriv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT

public static final int GL_FRAMEBUFFER_INCOMPLETE_MULTISAMPLE_EXT
Returned by CheckFramebufferStatus:

See Also:
  - Constant Field Values

### GL_MAX_SAMPLES_EXT

public static final int GL_MAX_SAMPLES_EXT
Accepted by the <pname> parameter of GetBooleanv, GetIntegerv, and GetFloatv:

See Also:
  - Constant Field Values

### GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_SAMPLES_EXT

public static final int GL_FRAMEBUFFER_ATTACHMENT_TEXTURE_SAMPLES_EXT
Accepted by the <pname> parameter of GetFramebufferAttachmentParameteriv:

See Also:
  - Constant Field Values

## Method Details

### glRenderbufferStorageMultisampleEXT

public static void glRenderbufferStorageMultisampleEXT(int target, int samples, int internalformat, int width, int height)

### glFramebufferTexture2DMultisampleEXT

public static void glFramebufferTexture2DMultisampleEXT(int target, int attachment, int textarget, int texture, int level, int samples)